INCLUDE (COMMAND-PARAMETERS)
C$----------------------------------------------------------------------
C$                C o m m a n d   P a r a m e t e r s
C$
C$    This COMMON block defines the command parse strings.  These
C$    are each defined by a group of six items:
C$
C$    LKxxxx(*) (Key Lengths),
C$    LSxxxx    (Length of Key String),
C$    MKxxxx    (Minimum Length for Key Match),
C$    NKxxxx    (Number of Keys),
C$    PKxxxx(*) (Key Pointers),
C$    SKxxxx(*) (Key String)
C$
C$    The  key  string  format  is  defined  in  routine   UTTIK.
C$    Knowledge of  the number  of keys  in each  string must  be
C$    embedded in the CASE statement which processes that string,
C$    but is  otherwise  not required  in  the remainder  of  the
C$    program.    LKxxxx(*),    NKxxxx,   and    PKxxxx(*)    are
C$    automatically initialized by UTTCK,  and MKxxxx and  NKxxxx
C$    by MINKEY,  both  called  from CMDINI  which  is  the  only
C$    routine where the actual key strings need to occur.   Since
C$    the  copying  of   the  strings   into  SKxxxx(*)   implies
C$    duplication (and usually expansion) of storage, CMDINI  can
C$    easily be overlaid, since it is required only once for each
C$    execution.  For modification  convenience at  installations
C$    with short integer  data types, the  strings SKxxxx(*)  are
C$    declared separately and stored in a separate COMMON  block.
C$
C$    Primary commands:        LKCMD1(*),LSCMD1,MKCMD1,NKCMD1,
C$                             PKCMD1(*),SKCMD1(*)
C$    Secondary commands:      LKCMD2(*),LSCMD2,MKCMD2,NKCMD2,
C$                             PKCMD2(*),SKCMD2(*)
C$    CHARACTER subcommands:   LKCHAR(*),LSCHAR,MKCHAR,NKCHAR,
C$                             PKCHAR(*),SKCHAR(*)
C$    COLUMN  subcommands:     LKCOL(*), LSCOL, MKCOL, NKCOL,
C$                             PKCOL(*), SKCOL(*)
C$    COMMENT subcommands:     LKCOMM(*),LSCOMM,MKCOMM,NKCOMM,
C$                             PKCOMM(*),SKCOMM(*)
C$    END POLYGON subcommands: LKEPGN(*),LSEPGN,MKEPGN,NKEPGN,
C$                             PKEPGN(*),SKEPGN(*)
C$    END POLYLINE subcommands:
C$                             LKEPLN(*),LSEPLN,MKEPLN,NKEPLN,
C$                             PKEPLN(*),SKEPLN(*)
C$    END POLYMARKER subcommands:
C$                             LKEPMK(*),LSEPMK,MKEPMK,NKEPMK,
C$                             PKEPMK(*),SKEPMK(*)
C$    FIT subcommands:         LKFIT(*), LSFIT, MKFIT, NKFIT,
C$                             PKFIT(*), SKFIT(*)
C$    HEIGHT subcommands:      LKHEIG(*),LSHEIG,MKHEIG,NKHEIG,
C$                             PKHEIG(*),SKHEIG(*)
C$    JUSTIFY subcommands:     LKJUST(*),LSJUST,MKJUST,NKJUST,
C$                             PKJUST(*),SKJUST(*)
C$    LIST subcommands:        LKLIST(*),LSLIST,MKLIST,NKLIST,
C$                             PKLIST(*),SKLIST(*)
C$    PLOT subcommands:        LKPLOT(*),LSPLOT,MKPLOT,NKPLOT,
C$                             PKPLOT(*),SKPLOT(*)
C$    POINT subcommands:       LKPOIN(*),LSPOIN,MKPOIN,NKPOIN,
C$                             PKPOIN(*),SKPOIN(*)
C$    POLYGON subcommands:     LKPGN(*), LSPGN, MKPGN, NKPGN,
C$                             PKPGN(*), SKPGN(*)
C$    POLYLINE subcommands:    LKPLN(*), LSPLN, MKPLN, NKPLN,
C$                             PKPLN(*), SKPLN(*)
C$    POLYMARKER subcommands:  LKPMK(*), LSPMK, MKPMK, NKPMK,
C$                             PKPMK(*), SKPMK(*)
C$    TEXT subcommands:        LKTEXT(*),LSTEXT,MKTEXT,NKTEXT,
C$                             PKTEXT(*),SKTEXT(*)
C$    TRANSFORMATION subcommands:
C$                             LKTRAN(*),LSTRAN,MKTRAN,NKTRAN,
C$                             PKTRAN(*),SKTRAN(*)
C$    UNIT subcommands:        LKUNIT(*),LSUNIT,MKUNIT,NKUNIT,
C$                             PKUNIT(*),SKUNIT(*)
C$
      INTEGER LKCHAR,LSCHAR,MKCHAR,NKCHAR,PKCHAR
      INTEGER LKCMD1,LSCMD1,MKCMD1,NKCMD1,PKCMD1
      INTEGER LKCMD2,LSCMD2,MKCMD2,NKCMD2,PKCMD2
      INTEGER LKCOL, LSCOL, MKCOL, NKCOL, PKCOL
      INTEGER LKCOMM,LSCOMM,MKCOMM,NKCOMM,PKCOMM
      INTEGER LKEPGN,LSEPGN,MKEPGN,NKEPGN,PKEPGN
      INTEGER LKEPLN,LSEPLN,MKEPLN,NKEPLN,PKEPLN
      INTEGER LKEPMK,LSEPMK,MKEPMK,NKEPMK,PKEPMK
      INTEGER LKFIT, LSFIT, MKFIT, NKFIT, PKFIT
      INTEGER LKHEIG,LSHEIG,MKHEIG,NKHEIG,PKHEIG
      INTEGER LKJUST,LSJUST,MKJUST,NKJUST,PKJUST
      INTEGER LKLIST,LSLIST,MKLIST,NKLIST,PKLIST
      INTEGER LKPGN, LSPGN, MKPGN, NKPGN, PKPGN
      INTEGER LKPLN, LSPLN, MKPLN, NKPLN, PKPLN
      INTEGER LKPLOT,LSPLOT,MKPLOT,NKPLOT,PKPLOT
      INTEGER LKPMK, LSPMK, MKPMK, NKPMK, PKPMK
      INTEGER LKPOIN,LSPOIN,MKPOIN,NKPOIN,PKPOIN
      INTEGER LKTEXT,LSTEXT,MKTEXT,NKTEXT,PKTEXT
      INTEGER LKTRAN,LSTRAN,MKTRAN,NKTRAN,PKTRAN
      INTEGER LKUNIT,LSUNIT,MKUNIT,NKUNIT,PKUNIT
      INTEGER SKCHAR
      INTEGER SKCMD1
      INTEGER SKCMD2
      INTEGER SKCOL
      INTEGER SKCOMM
      INTEGER SKEPGN
      INTEGER SKEPLN
      INTEGER SKEPMK
      INTEGER SKFIT
      INTEGER SKHEIG
      INTEGER SKJUST
      INTEGER SKLIST
      INTEGER SKPGN
      INTEGER SKPLN
      INTEGER SKPLOT
      INTEGER SKPMK
      INTEGER SKPOIN
      INTEGER SKTEXT
      INTEGER SKTRAN
      INTEGER SKUNIT
      COMMON /SLCB05/ LKCHAR(10),LSCHAR,MKCHAR,NKCHAR,PKCHAR(10)
      COMMON /SLCB05/ LKCMD1(38),LSCMD1,MKCMD1,NKCMD1,PKCMD1(38)
      COMMON /SLCB05/ LKCMD2(5),LSCMD2,MKCMD2,NKCMD2,PKCMD2(5)
      COMMON /SLCB05/ LKCOL(1), LSCOL, MKCOL, NKCOL, PKCOL(1)
      COMMON /SLCB05/ LKCOMM(2),LSCOMM,MKCOMM,NKCOMM,PKCOMM(2)
      COMMON /SLCB05/ LKEPGN(1),LSEPGN,MKEPGN,NKEPGN,PKEPGN(1)
      COMMON /SLCB05/ LKEPLN(1),LSEPLN,MKEPLN,NKEPLN,PKEPLN(1)
      COMMON /SLCB05/ LKEPMK(1),LSEPMK,MKEPMK,NKEPMK,PKEPMK(1)
      COMMON /SLCB05/ LKFIT(4), LSFIT, MKFIT, NKFIT, PKFIT(4)
      COMMON /SLCB05/ LKHEIG(2),LSHEIG,MKHEIG,NKHEIG,PKHEIG(2)
      COMMON /SLCB05/ LKJUST(6),LSJUST,MKJUST,NKJUST,PKJUST(6)
      COMMON /SLCB05/ LKLIST(2),LSLIST,MKLIST,NKLIST,PKLIST(2)
      COMMON /SLCB05/ LKPGN(8), LSPGN, MKPGN, NKPGN, PKPGN(8)
      COMMON /SLCB05/ LKPLN(3), LSPLN, MKPLN, NKPLN, PKPLN(3)
      COMMON /SLCB05/ LKPLOT(3),LSPLOT,MKPLOT,NKPLOT,PKPLOT(3)
      COMMON /SLCB05/ LKPMK(3), LSPMK, MKPMK, NKPMK, PKPMK(3)
      COMMON /SLCB05/ LKPOIN(2),LSPOIN,MKPOIN,NKPOIN,PKPOIN(2)
      COMMON /SLCB05/ LKTEXT(1),LSTEXT,MKTEXT,NKTEXT,PKTEXT(1)
      COMMON /SLCB05/ LKTRAN(7),LSTRAN,MKTRAN,NKTRAN,PKTRAN(7)
      COMMON /SLCB05/ LKUNIT(4),LSUNIT,MKUNIT,NKUNIT,PKUNIT(4)
C$
C$ - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
C$
C$    COMMON BLOCK / SLCB06 /
C$
      INTEGER             SKCHAR,      SKCMD1,      SKCMD2,      SKCOL
      INTEGER             SKCOMM,      SKEPGN,      SKEPLN,      SKEPMK
      INTEGER             SKFIT,       SKHEIG,      SKJUST,      SKLIST
      INTEGER             SKPGN,       SKPLN,       SKPLOT,      SKPMK
      INTEGER             SKPOIN,      SKTEXT,      SKTRAN,      SKUNIT
      COMMON / SLCB06 /   SKCHAR(66),  SKCMD1(238), SKCMD2(48)
      COMMON / SLCB06 /   SKCOL(4),    SKCOMM(19),  SKEPGN(11)
      COMMON / SLCB06 /   SKEPLN(12),  SKEPMK(14),  SKFIT(38)
      COMMON / SLCB06 /   SKHEIG(14),  SKJUST(39),  SKLIST(7)
      COMMON / SLCB06 /   SKPGN(85),   SKPLN(23),   SKPLOT(16)
      COMMON / SLCB06 /   SKPMK(23),   SKPOIN(18),  SKTEXT(8)
      COMMON / SLCB06 /   SKTRAN(43),  SKUNIT(34)
C$    
END INCLUDE
INCLUDE (FILES)
C$----------------------------------------------------------------------
C$    F i l e s
C$
C$    Error file:              ERRFIL
C$    Help file:               HLPFIL
C$    Input file:              INFILE
C$    Plot file:               PLTFIL
C$    Print file:              PRTFIL
C$    Terminal output file:    TTOFIL
C$
      INTEGER           ERRFIL,HLPFIL,INFILE,PLTFIL,PRTFIL,TTOFIL
      COMMON / SLCB07 / ERRFIL,HLPFIL,INFILE,PLTFIL,PRTFIL,TTOFIL
END INCLUDE
INCLUDE (INQUIRE-PARAMETERS)
C$----------------------------------------------------------------------
C$    I N Q U I R E   C o m m a n d   P a r a m e t e r s
C$
C$    INQUIRE commands:        LKINQ(*), LSINQ, MKINQ, NKINQ,
C$                             PKINQ(*), SKINQ(*)
C$    CLIPPING subcommands:    LKIQCL(*),LSIQCL,MKIQCL,NKIQCL,
C$                             PKIQCL(*),SKIQCL(*)
C$    COLOR subcommands:       LKIQCO(*),LSIQCO,MKIQCO,NKIQCO,
C$                             PKIQCO(*),SKIQCO(*)
C$    DEVICE subcommands:      LKIQDV(*),LSIQDV,MKIQDV,NKIQDV,
C$                             PKIQDV(*),SKIQDV(*)
C$    LINE subcommands:        LKIQLN(*),LSIQLN,MKIQLN,NKIQLN,
C$                             PKIQLN(*),SKIQLN(*)
C$    MARKER subcommands:      LKIQMK(*),LSIQMK,MKIQMK,NKIQMK,
C$                             PKIQMK(*),SKIQMK(*)
C$    POLYGON subcommands:     LKIQPG(*),LSIQPG,MKIQPG,NKIQPG,
C$                             PKIQPG(*),SKIQPG(*)
C$    TEXT subcommands:        LKIQTX(*),LSIQTX,MKIQTX,NKIQTX,
C$                             PKIQTX(*),SKIQTX(*)
C$    VIEW subcommands:        LKIQVW(*),LSIQVW,MKIQVW,NKIQVW,
C$                             PKIQVW(*),SKIQVW(*)
C$
      INTEGER LKINQ, LSINQ, MKINQ, NKINQ, PKINQ
      INTEGER LKIQCL,LSIQCL,MKIQCL,NKIQCL, PKIQCL
      INTEGER LKIQCO,LSIQCO,MKIQCO,NKIQCO, PKIQCO
      INTEGER LKIQDV,LSIQDV,MKIQDV,NKIQDV, PKIQDV
      INTEGER LKIQLN,LSIQLN,MKIQLN,NKIQLN, PKIQLN
      INTEGER LKIQMK,LSIQMK,MKIQMK,NKIQMK, PKIQMK
      INTEGER LKIQPG,LSIQPG,MKIQPG,NKIQPG, PKIQPG
      INTEGER LKIQTX,LSIQTX,MKIQTX,NKIQTX, PKIQTX
      INTEGER LKIQVW,LSIQVW,MKIQVW,NKIQVW, PKIQVW
      INTEGER SKINQ
      INTEGER SKIQCL
      INTEGER SKIQCO
      INTEGER SKIQDV
      INTEGER SKIQLN
      INTEGER SKIQMK
      INTEGER SKIQPG
      INTEGER SKIQTX
      INTEGER SKIQVW
      COMMON /SLCB03/ LKINQ(18), LSINQ, MKINQ, NKINQ, PKINQ(18)
      COMMON /SLCB03/ LKIQCL(5),LSIQCL,MKIQCL,NKIQCL, PKIQCL(5)
      COMMON /SLCB03/ LKIQCO(4),LSIQCO,MKIQCO,NKIQCO, PKIQCO(4)
      COMMON /SLCB03/ LKIQDV(5),LSIQDV,MKIQDV,NKIQDV, PKIQDV(5)
      COMMON /SLCB03/ LKIQLN(5),LSIQLN,MKIQLN,NKIQLN, PKIQLN(5)
      COMMON /SLCB03/ LKIQMK(4),LSIQMK,MKIQMK,NKIQMK, PKIQMK(4)
      COMMON /SLCB03/ LKIQPG(6),LSIQPG,MKIQPG,NKIQPG, PKIQPG(6)
      COMMON /SLCB03/ LKIQTX(10),LSIQTX,MKIQTX,NKIQTX, PKIQTX(10)
      COMMON /SLCB03/ LKIQVW(8),LSIQVW,MKIQVW,NKIQVW, PKIQVW(8)
C$
C$ - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
C$
C$    COMMON BLOCK / SLCB04 /
C$
      INTEGER             SKINQ,       SKIQCL,      SKIQCO,      SKIQDV
      INTEGER             SKIQLN,      SKIQMK,      SKIQPG,      SKIQTX
      INTEGER             SKIQVW
      COMMON / SLCB04 /   SKINQ(167),  SKIQCL(24),  SKIQCO(20)
      COMMON / SLCB04 /   SKIQDV(28),  SKIQLN(28),  SKIQMK(18)
      COMMON / SLCB04 /   SKIQPG(55),  SKIQTX(95),  SKIQVW(72)
C$
END INCLUDE
INCLUDE (LINE-AREA)
      INTEGER             LENLIN,      LINE,        MAXLIN
      COMMON /SLCB09/     LENLIN,      LINE(81),    MAXLIN
END INCLUDE
INCLUDE (MESSAGE-FLAG-ASSIGNMENTS)
           MSGCMD = 1
           MSGERR = 2
           MSGINT = 3
           MSGWAR = 4
END INCLUDE
INCLUDE (MESSAGE-FLAGS)
      INTEGER             MSGCMD,      MSGERR,      MSGINT,      MSGWAR
      COMMON / SLCB08 /   MSGCMD,      MSGERR,      MSGINT,      MSGWAR
END INCLUDE
INCLUDE (PUSHDOWN-STACK)
C$----------------------------------------------------------------------
C$    P o i n t   P u s h d o w n   S t a c k
C$
C$    Maximum pushdown stack depth:             MAXPPS
C$    Index of top of stack (last entry):       TOPPPS
C$    Coordinate pushdown stack:                PPSTAK(2,*)
C$
      INTEGER          MAXPPS,      TOPPPS
      REAL             PPSTAK
      COMMON /SLCB02/  MAXPPS,      TOPPPS,      PPSTAK(2,29)
END INCLUDE
INCLUDE (TOKEN-AREA)
      INTEGER          FIRST,LTOKEN,MAXTOK,NTOKEN,NXTTOK,PLINE,PTOKEN
      COMMON /SLCB08/  FIRST,LTOKEN(80),MAXTOK,NTOKEN,NXTTOK
      COMMON /SLCB08/  PLINE(81),PTOKEN(81)
END INCLUDE
INCLUDE (VARIABLE-AREA)
C$----------------------------------------------------------------------
C$    V a r i a b l e   S t o r a g e   A r e a
C$
C$    Lengths of variable names:                LVAR(*)
C$    Maximum number of characters in VARSTR(*):MAXCHV
C$    Maximum number of points in XYSTAK(*,*):  MAXXYS
C$    Variable name starting positions:         PVAR(*)
C$    Index of last character in VARSTR(*):     TOPCHV
C$    Index of top of XYSTAK(*,*) (last entry): TOPXYS
C$    Character storage area:                   VARSTR(*)
C$    Point storage area:                       XYSTAK(*,*)
C$
      INTEGER          LVAR,        MAXCHV,      MAXXYS,      PVAR
      INTEGER          TOPCHV,      TOPXYS,      VARSTR
      REAL             XYSTAK
      COMMON /SLCB01/  LVAR(101),   MAXCHV,      MAXXYS,      PVAR(101)
      COMMON /SLCB01/  TOPCHV,      TOPXYS,      VARSTR(151)
      COMMON /SLCB01/  XYSTAK(2,101)
END INCLUDE
INCLUDE (IOPCB1)
C$
C$    Current Infile stack pointer:		INTOP
C$    Input file stack: 			INSTAK(*)
C$    List of file numbers in use: 		INUSE(*)
C$    Maximum Infile stack depth: 		MAXIN
C$    Maximum number of entries in INUSE(*): 	MAXUSE
C$    Number of file numbers in INUSE(*): 	NUSED
C$
      INTEGER          INSTAK,      INTOP,       INUSE,       MAXIN
      INTEGER          MAXUSE,      NUSED
      COMMON /IOPCB1/  INSTAK(10),  INTOP,       INUSE(25),   MAXIN
      COMMON /IOPCB1/  MAXUSE,      NUSED
END INCLUDE
END FILE
